diff --git a/gcc/analyzer/engine.cc b/gcc/analyzer/engine.cc
index 65c8172eeb9..411e34cb509 100644
--- a/gcc/analyzer/engine.cc
+++ b/gcc/analyzer/engine.cc
@@ -67,10 +67,10 @@ along with GCC; see the file COPYING3.  If not see
 
 namespace ana {
 
-/* class impl_region_model2_context : public region_model_context.  */
+/* class impl_region_model_context : public region_model_context.  */
 
-impl_region_model2_context::
-impl_region_model2_context (exploded_graph &eg,
+impl_region_model_context::
+impl_region_model_context (exploded_graph &eg,
 			   const exploded_node *enode_for_diag,
 			   const program_state *old_state,
 			   program_state *new_state,
@@ -86,10 +86,10 @@ impl_region_model2_context (exploded_graph &eg,
 {
 }
 
-impl_region_model2_context::
-impl_region_model2_context (program_state *state,
-			    const extrinsic_state &ext_state,
-			    logger *logger)
+impl_region_model_context::
+impl_region_model_context (program_state *state,
+			   const extrinsic_state &ext_state,
+			   logger *logger)
 : m_eg (NULL), m_logger (logger), m_enode_for_diag (NULL),
   m_old_state (NULL),
   m_new_state (state),
@@ -100,7 +100,7 @@ impl_region_model2_context (program_state *state,
 }
 
 void
-impl_region_model2_context::warn (pending_diagnostic *d)
+impl_region_model_context::warn (pending_diagnostic *d)
 {
   LOG_FUNC (get_logger ());
   if (m_eg)
@@ -110,13 +110,13 @@ impl_region_model2_context::warn (pending_diagnostic *d)
 }
 
 void
-impl_region_model2_context::on_svalue2_leak (const svalue2 *sval)
+impl_region_model_context::on_svalue_leak (const svalue *sval)
 
 {
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (m_new_state->m_checker_states2, sm_idx, smap)
-    smap->on_svalue2_leak (sval, this);
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_new_state->m_checker_states, sm_idx, smap)
+    smap->on_svalue_leak (sval, this);
 
 #if 0
   // FIXME: what is/was this used for?
@@ -126,66 +126,66 @@ impl_region_model2_context::on_svalue2_leak (const svalue2 *sval)
 }
 
 void
-impl_region_model2_context::
-on_liveness_change (const hash_set<const svalue2 *> &live_svalues,
-		    const region_model2 *model)
+impl_region_model_context::
+on_liveness_change (const hash_set<const svalue *> &live_svalues,
+		    const region_model *model)
 {
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (m_new_state->m_checker_states2, sm_idx, smap)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_new_state->m_checker_states, sm_idx, smap)
     smap->on_liveness_change (live_svalues, model, this);
 }
 
 void
-impl_region_model2_context::on_unknown_change (const svalue2 *sval,
-					       bool is_mutable)
+impl_region_model_context::on_unknown_change (const svalue *sval,
+					      bool is_mutable)
 {
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (m_new_state->m_checker_states2, sm_idx, smap)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_new_state->m_checker_states, sm_idx, smap)
     {
       const state_machine &sm = m_ext_state.get_sm (sm_idx);
       smap->on_unknown_change (sm, sval, is_mutable, m_ext_state);
     }
 }
 
-/* class setjmp_svalue2 : public svalue2.  */
+/* class setjmp_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-setjmp_svalue2::accept (visitor *v) const
+setjmp_svalue::accept (visitor *v) const
 {
-  v->visit_setjmp_svalue2 (this);
+  v->visit_setjmp_svalue (this);
 }
 
 /* FIXME.  */
 
 void
-setjmp_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+setjmp_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     pp_printf (pp, "SETJMP(EN: %i)", get_enode_index ());
   else
-    pp_printf (pp, "setjmp_svalue2(EN%i)", get_enode_index ());
+    pp_printf (pp, "setjmp_svalue(EN%i)", get_enode_index ());
 }
 
-/* Compare the fields of this setjmp_svalue2 with OTHER, returning true
+/* Compare the fields of this setjmp_svalue with OTHER, returning true
    if they are equal.
-   For use by svalue2::operator==.  */
+   For use by svalue::operator==.  */
 
 #if 0
 bool
-setjmp_svalue2::compare_fields (const setjmp_svalue2 &other) const
+setjmp_svalue::compare_fields (const setjmp_svalue &other) const
 {
   return m_setjmp_record == other.m_setjmp_record;
 }
 #endif
 
-/* Implementation of svalue2::add_to_hash vfunc for setjmp_svalue2.  */
+/* Implementation of svalue::add_to_hash vfunc for setjmp_svalue.  */
 #if 0
 void
-setjmp_svalue2::add_to_hash (inchash::hash &hstate) const
+setjmp_svalue::add_to_hash (inchash::hash &hstate) const
 {
   hstate.add_int (m_setjmp_record.m_enode->m_index);
 }
@@ -194,7 +194,7 @@ setjmp_svalue2::add_to_hash (inchash::hash &hstate) const
 /* Get the index of the stored exploded_node.  */
 
 int
-setjmp_svalue2::get_enode_index () const
+setjmp_svalue::get_enode_index () const
 {
   return m_setjmp_record.m_enode->m_index;
 }
@@ -203,17 +203,17 @@ setjmp_svalue2::get_enode_index () const
 /* Concrete implementation of sm_context, wiring it up to the rest of this
    file.  */
 
-class impl_sm_context2 : public sm_context
+class impl_sm_context : public sm_context
 {
 public:
-  impl_sm_context2 (exploded_graph &eg,
+  impl_sm_context (exploded_graph &eg,
 		    int sm_idx,
 		    const state_machine &sm,
 		    const exploded_node *enode_for_diag,
 		    const program_state *old_state,
 		    program_state *new_state,
-		    const sm_state_map2 *old_smap,
-		    sm_state_map2 *new_smap,
+		    const sm_state_map *old_smap,
+		    sm_state_map *new_smap,
 		    stmt_finder *stmt_finder = NULL)
   : sm_context (sm_idx, sm),
     m_logger (eg.get_logger ()),
@@ -228,10 +228,10 @@ public:
 
   tree get_fndecl_for_call (const gcall *call) FINAL OVERRIDE
   {
-    impl_region_model2_context old_ctxt
+    impl_region_model_context old_ctxt
       (m_eg, m_enode_for_diag, NULL, NULL/*m_enode->get_state ()*/,
        call);
-    region_model2 *model = m_new_state->m_region_model2;
+    region_model *model = m_new_state->m_region_model;
     return model->get_fndecl_for_call (call, &old_ctxt);
   }
 
@@ -244,19 +244,19 @@ public:
   {
     logger * const logger = get_logger ();
     LOG_FUNC (logger);
-    impl_region_model2_context old_ctxt
+    impl_region_model_context old_ctxt
       (m_eg, m_enode_for_diag, NULL, NULL/*m_enode->get_state ()*/,
        stmt);
-    const svalue2 *var_old_sval
-      = m_old_state->m_region_model2->get_rvalue (var, &old_ctxt);
+    const svalue *var_old_sval
+      = m_old_state->m_region_model->get_rvalue (var, &old_ctxt);
 
-    impl_region_model2_context new_ctxt (m_eg, m_enode_for_diag,
+    impl_region_model_context new_ctxt (m_eg, m_enode_for_diag,
 					 m_old_state, m_new_state,
 					 stmt);
-    const svalue2 *var_new_sval
-      = m_new_state->m_region_model2->get_rvalue (var, &new_ctxt);
-    const svalue2 *origin_new_sval
-      = m_new_state->m_region_model2->get_rvalue (origin, &new_ctxt);
+    const svalue *var_new_sval
+      = m_new_state->m_region_model->get_rvalue (var, &new_ctxt);
+    const svalue *origin_new_sval
+      = m_new_state->m_region_model->get_rvalue (origin, &new_ctxt);
 
     state_machine::state_t current
       = m_old_smap->get_state (var_old_sval, m_eg.get_ext_state ());
@@ -268,7 +268,7 @@ public:
 		       var,
 		       m_sm.get_state_name (from),
 		       m_sm.get_state_name (to));
-	m_new_smap->set_state (m_new_state->m_region_model2, var_new_sval,
+	m_new_smap->set_state (m_new_state->m_region_model, var_new_sval,
 			       to, origin_new_sval, m_eg.get_ext_state ());
 #if 0
 	if (m_change)
@@ -284,13 +284,13 @@ public:
     LOG_FUNC (get_logger ());
     gcc_assert (d); // take ownership
 
-    impl_region_model2_context old_ctxt
+    impl_region_model_context old_ctxt
       (m_eg, m_enode_for_diag, m_old_state, m_new_state, NULL);
     state_machine::state_t current;
     if (var)
       {
-	const svalue2 *var_old_sval
-	  = m_old_state->m_region_model2->get_rvalue (var, &old_ctxt);
+	const svalue *var_old_sval
+	  = m_old_state->m_region_model->get_rvalue (var, &old_ctxt);
 	current = m_old_smap->get_state (var_old_sval, m_eg.get_ext_state ());
       }
     else
@@ -298,8 +298,8 @@ public:
 
     if (state == current)
       {
-	const svalue2 *var_old_sval
-	  = m_old_state->m_region_model2->get_rvalue (var, &old_ctxt);
+	const svalue *var_old_sval
+	  = m_old_state->m_region_model->get_rvalue (var, &old_ctxt);
 	m_eg.get_diagnostic_manager ().add_diagnostic
 	  (&m_sm, m_enode_for_diag, snode, stmt, m_stmt_finder,
 	   var, var_old_sval, state, d);
@@ -324,9 +324,9 @@ public:
       return expr;
 
     gcc_assert (m_new_state);
-    const svalue2 *sval = m_new_state->m_region_model2->get_rvalue (expr, NULL);
+    const svalue *sval = m_new_state->m_region_model->get_rvalue (expr, NULL);
     /* Find trees for all regions storing the value.  */
-    if (tree t = m_new_state->m_region_model2->get_representative_tree (sval))
+    if (tree t = m_new_state->m_region_model->get_representative_tree (sval))
       return t;
     else
       return expr;
@@ -334,12 +334,12 @@ public:
 
   state_machine::state_t get_global_state () const FINAL OVERRIDE
   {
-    return m_old_state->m_checker_states2[m_sm_idx]->get_global_state ();
+    return m_old_state->m_checker_states[m_sm_idx]->get_global_state ();
   }
 
   void set_global_state (state_machine::state_t state) FINAL OVERRIDE
   {
-    m_new_state->m_checker_states2[m_sm_idx]->set_global_state (state);
+    m_new_state->m_checker_states[m_sm_idx]->set_global_state (state);
   }
 
   void on_custom_transition (custom_transition *transition) FINAL OVERRIDE
@@ -354,10 +354,10 @@ public:
     const gassign *assign_stmt = dyn_cast <const gassign *> (stmt);
     if (!assign_stmt)
      return NULL_TREE;
-    impl_region_model2_context old_ctxt
+    impl_region_model_context old_ctxt
       (m_eg, m_enode_for_diag, m_old_state, m_new_state, stmt);
-    if (const svalue2 *sval
-	= m_new_state->m_region_model2->get_gassign_result (assign_stmt,
+    if (const svalue *sval
+	= m_new_state->m_region_model->get_gassign_result (assign_stmt,
 							    &old_ctxt))
       if (tree cst = sval->maybe_get_constant ())
 	if (::zerop(cst))
@@ -370,8 +370,8 @@ public:
   const exploded_node *m_enode_for_diag;
   const program_state *m_old_state;
   program_state *m_new_state;
-  const sm_state_map2 *m_old_smap;
-  sm_state_map2 *m_new_smap;
+  const sm_state_map *m_old_smap;
+  sm_state_map *m_new_smap;
   stmt_finder *m_stmt_finder;
 };
 
@@ -542,9 +542,9 @@ readability_comparator (const void *p1, const void *p2)
    it can potentially complain about a leak of SVAL in the given STATE.  */
 
 void
-impl_region_model2_context::on_state_leak (const state_machine &sm,
+impl_region_model_context::on_state_leak (const state_machine &sm,
 					   int sm_idx,
-					   const svalue2 *sval,
+					   const svalue *sval,
 					   state_machine::state_t state)
 {
   logger * const logger = get_logger ();
@@ -579,9 +579,9 @@ impl_region_model2_context::on_state_leak (const state_machine &sm,
      leak per EC, this ought to ensure that we pick the most
      user-readable description of each leaking EC.
      This assumes that all vars in the EC have the same state.  */
-  hash_set <const svalue2 *> visited;
+  hash_set <const svalue *> visited;
   path_var leaked_pv
-    = m_old_state->m_region_model2->get_representative_path_var (sval,
+    = m_old_state->m_region_model->get_representative_path_var (sval,
 								 &visited);
 
   /* This might be NULL; the pending_diagnostic subclasses need to cope
@@ -625,17 +625,17 @@ impl_region_model2_context::on_state_leak (const state_machine &sm,
    state transitions.  */
 
 void
-impl_region_model2_context::on_condition (tree lhs, enum tree_code op, tree rhs)
+impl_region_model_context::on_condition (tree lhs, enum tree_code op, tree rhs)
 {
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (m_new_state->m_checker_states2, sm_idx, smap)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_new_state->m_checker_states, sm_idx, smap)
     {
       const state_machine &sm = m_ext_state.get_sm (sm_idx);
-      impl_sm_context2 sm_ctxt (*m_eg, sm_idx, sm, m_enode_for_diag,
+      impl_sm_context sm_ctxt (*m_eg, sm_idx, sm, m_enode_for_diag,
 				m_old_state, m_new_state,
-				m_old_state->m_checker_states2[sm_idx],
-				m_new_state->m_checker_states2[sm_idx]);
+				m_old_state->m_checker_states[sm_idx],
+				m_new_state->m_checker_states[sm_idx]);
       sm.on_condition (&sm_ctxt,
 		       m_enode_for_diag->get_supernode (), m_stmt,
 		       lhs, op, rhs);
@@ -647,17 +647,17 @@ impl_region_model2_context::on_condition (tree lhs, enum tree_code op, tree rhs)
    state transitions.  */
 
 void
-impl_region_model2_context::on_phi (const gphi *phi, tree rhs)
+impl_region_model_context::on_phi (const gphi *phi, tree rhs)
 {
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (m_new_state->m_checker_states2, sm_idx, smap)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_new_state->m_checker_states, sm_idx, smap)
     {
       const state_machine &sm = m_ext_state.get_sm (sm_idx);
-      impl_sm_context2 sm_ctxt (*m_eg, sm_idx, sm, m_enode_for_diag,
+      impl_sm_context sm_ctxt (*m_eg, sm_idx, sm, m_enode_for_diag,
 				m_old_state, m_new_state,
-				m_old_state->m_checker_states2[sm_idx],
-				m_new_state->m_checker_states2[sm_idx]);
+				m_old_state->m_checker_states[sm_idx],
+				m_new_state->m_checker_states[sm_idx]);
       sm.on_phi (&sm_ctxt, m_enode_for_diag->get_supernode (), phi, rhs);
     }
 }
@@ -667,7 +667,7 @@ impl_region_model2_context::on_phi (const gphi *phi, tree rhs)
    TODO(stage1): introduce a warning for when this occurs.  */
 
 void
-impl_region_model2_context::on_unexpected_tree_code (tree t,
+impl_region_model_context::on_unexpected_tree_code (tree t,
 						    const dump_location_t &loc)
 {
   logger * const logger = get_logger ();
@@ -701,14 +701,14 @@ point_and_state::validate (const extrinsic_state &ext_state) const
      of the region_model.  */
   /* They should have the same depth.  */
   gcc_assert (m_point.get_stack_depth ()
-	      == m_state.m_region_model2->get_stack_depth ());
+	      == m_state.m_region_model->get_stack_depth ());
   /* Check the functions in the callstring vs those in the frames
      at each depth.  */
   for (int depth = 0; depth < m_point.get_stack_depth (); ++depth)
     {
 #if 0
       gcc_assert (m_point.get_function_at_depth (depth)
-		  == m_state.m_region_model2->get_function_at_depth (depth));
+		  == m_state.m_region_model->get_function_at_depth (depth));
 #endif
     }
 }
@@ -804,8 +804,7 @@ exploded_node::exploded_node (const point_and_state &ps,
 : m_ps (ps), m_status (STATUS_WORKLIST), m_index (index),
   m_num_processed_stmts (0)
 {
-  if (ps.get_state ().m_region_model2)
-    gcc_checking_assert (ps.get_state ().m_region_model2->canonicalized_p ());
+  gcc_checking_assert (ps.get_state ().m_region_model->canonicalized_p ());
 }
 
 /* Get the stmt that was processed in this enode at index IDX.  */
@@ -841,10 +840,10 @@ exploded_node::get_dot_fillcolor () const
   int total_sm_state = 0;
   {
     int i;
-    sm_state_map2 *smap;
-    FOR_EACH_VEC_ELT (state.m_checker_states2, i, smap)
+    sm_state_map *smap;
+    FOR_EACH_VEC_ELT (state.m_checker_states, i, smap)
       {
-	for (sm_state_map2::iterator_t iter = smap->begin ();
+	for (sm_state_map::iterator_t iter = smap->begin ();
 	     iter != smap->end ();
 	     ++iter)
 	  total_sm_state += (*iter).second.m_state;
@@ -1058,10 +1057,10 @@ exploded_node::on_stmt (exploded_graph &eg,
      source construct we're failing to handle.  */
   input_location = stmt->location;
 
-  gcc_assert (state->m_region_model2);
+  gcc_assert (state->m_region_model);
 #if 0
     {
-      if (state->m_region_model2->on_stmt (snode, stmt))
+      if (state->m_region_model->on_stmt (snode, stmt))
 	return on_stmt_flags (false);
       else
 	return on_stmt_flags::terminate_path ();
@@ -1074,15 +1073,15 @@ exploded_node::on_stmt (exploded_graph &eg,
      going from tree to svalue_id.  */
   const program_state old_state (*state);
 
-  impl_region_model2_context ctxt (eg, this,
+  impl_region_model_context ctxt (eg, this,
 				   &old_state, state,
 				   stmt);
 
   if (const gassign *assign = dyn_cast <const gassign *> (stmt))
-    state->m_region_model2->on_stmt (stmt, &ctxt);
+    state->m_region_model->on_stmt (stmt, &ctxt);
 
   if (const greturn *return_ = dyn_cast <const greturn *> (stmt))
-    state->m_region_model2->on_stmt (stmt/*, return_*/, &ctxt);
+    state->m_region_model->on_stmt (stmt/*, return_*/, &ctxt);
 
   /* Track whether we have a gcall to a function that's not recognized by
      anything, for which we don't have a function body, or for which we
@@ -1092,7 +1091,7 @@ exploded_node::on_stmt (exploded_graph &eg,
     {
       /* Debugging/test support.  */
       if (is_special_named_call_p (call, "__analyzer_describe", 2))
-	state->m_region_model2->impl_call_analyzer_describe (call, &ctxt);
+	state->m_region_model->impl_call_analyzer_describe (call, &ctxt);
       else if (is_special_named_call_p (call, "__analyzer_dump", 0))
 	{
 	  /* Handle the builtin "__analyzer_dump" by dumping state
@@ -1109,10 +1108,10 @@ exploded_node::on_stmt (exploded_graph &eg,
 	{
 	  /* Handle the builtin "__analyzer_dump_region_model" by dumping
 	     the region model's state to stderr.  */
-	  state->m_region_model2->dump (false);
+	  state->m_region_model->dump (false);
 	}
       else if (is_special_named_call_p (call, "__analyzer_eval", 1))
-	state->m_region_model2->impl_call_analyzer_eval (call, &ctxt);
+	state->m_region_model->impl_call_analyzer_eval (call, &ctxt);
       else if (is_special_named_call_p (call, "__analyzer_break", 0))
 	{
 	  /* Handle the builtin "__analyzer_break" by triggering a
@@ -1126,26 +1125,26 @@ exploded_node::on_stmt (exploded_graph &eg,
 	  /* This is handled elsewhere.  */
 	}
       else if (is_setjmp_call_p (call))
-	state->m_region_model2->on_setjmp (call, this, &ctxt);
+	state->m_region_model->on_setjmp (call, this, &ctxt);
       else if (is_longjmp_call_p (call))
 	{
-	  on_longjmp2 (eg, call, state, &ctxt);
+	  on_longjmp (eg, call, state, &ctxt);
 	  return on_stmt_flags::terminate_path ();
 	}
       else
-	unknown_side_effects = state->m_region_model2->on_call_pre (call, &ctxt);
+	unknown_side_effects = state->m_region_model->on_call_pre (call, &ctxt);
     }
 
   bool any_sm_changes = false;
   int sm_idx;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (old_state.m_checker_states2, sm_idx, smap)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (old_state.m_checker_states, sm_idx, smap)
     {
       const state_machine &sm = eg.get_ext_state ().get_sm (sm_idx);
-      const sm_state_map2 *old_smap
-	= old_state.m_checker_states2[sm_idx];
-      sm_state_map2 *new_smap = state->m_checker_states2[sm_idx];
-      impl_sm_context2 sm_ctxt (eg, sm_idx, sm, this, &old_state, state,
+      const sm_state_map *old_smap
+	= old_state.m_checker_states[sm_idx];
+      sm_state_map *new_smap = state->m_checker_states[sm_idx];
+      impl_sm_context sm_ctxt (eg, sm_idx, sm, this, &old_state, state,
 				old_smap, new_smap);
       /* Allow the state_machine to handle the stmt.  */
       if (sm.on_stmt (&sm_ctxt, snode, stmt))
@@ -1156,11 +1155,11 @@ exploded_node::on_stmt (exploded_graph &eg,
 	  if (const gcall *call = dyn_cast <const gcall *> (stmt))
 	    {
 	      tree callee_fndecl
-		= state->m_region_model2->get_fndecl_for_call (call, &ctxt);
+		= state->m_region_model->get_fndecl_for_call (call, &ctxt);
 
 	      if (!fndecl_has_gimple_body_p (callee_fndecl))
 		new_smap->purge_for_unknown_fncall (eg, call, callee_fndecl,
-						    state->m_region_model2,
+						    state->m_region_model,
 						    &ctxt);
 	    }
 	}
@@ -1169,7 +1168,7 @@ exploded_node::on_stmt (exploded_graph &eg,
     }
 
   if (const gcall *call = dyn_cast <const gcall *> (stmt))
-    state->m_region_model2->on_call_post (call, unknown_side_effects, &ctxt);
+    state->m_region_model->on_call_post (call, unknown_side_effects, &ctxt);
 
   return on_stmt_flags (any_sm_changes);
 }
@@ -1274,25 +1273,25 @@ private:
    handling the various kinds of failure that can occur.  */
 
 void
-exploded_node::on_longjmp2 (exploded_graph &eg,
+exploded_node::on_longjmp (exploded_graph &eg,
 			    const gcall *longjmp_call,
 			    program_state *new_state,
-			    region_model2_context *ctxt) const
+			    region_model_context *ctxt) const
 {
   tree buf_ptr = gimple_call_arg (longjmp_call, 0);
 
-  region_model2 *new_region_model = new_state->m_region_model2;
-  const svalue2 *buf_ptr_sval = new_region_model->get_rvalue (buf_ptr, ctxt);
-  const region2 *buf = new_region_model->deref_rvalue (buf_ptr_sval, buf_ptr,
+  region_model *new_region_model = new_state->m_region_model;
+  const svalue *buf_ptr_sval = new_region_model->get_rvalue (buf_ptr, ctxt);
+  const region *buf = new_region_model->deref_rvalue (buf_ptr_sval, buf_ptr,
 						       ctxt);
   if (!buf)
     return; // FIXME: can it be NULL?
 
-  const svalue2 *buf_content_sval = new_region_model->get_store_value (buf);
+  const svalue *buf_content_sval = new_region_model->get_store_value (buf);
   if (!buf_content_sval) // FIXME: can it be NULL?
     return;
-  const setjmp_svalue2 *setjmp_sval
-    = buf_content_sval->dyn_cast_setjmp_svalue2 ();
+  const setjmp_svalue *setjmp_sval
+    = buf_content_sval->dyn_cast_setjmp_svalue ();
   if (!setjmp_sval)
     return;
 
@@ -1329,7 +1328,7 @@ exploded_node::on_longjmp2 (exploded_graph &eg,
 				setjmp_point.get_stack_depth (), ctxt);
 
   /* Detect leaks in the new state relative to the old state.  */
-  program_state::detect_leaks2 (get_state (), *new_state, NULL,
+  program_state::detect_leaks (get_state (), *new_state, NULL,
 				eg.get_ext_state (), ctxt);
 
   program_point next_point
@@ -1411,16 +1410,16 @@ exploded_node::detect_leaks (exploded_graph &eg) const
      what leaks (via purge_unused_svalues).  */
   program_state new_state (old_state);
 
-  gcc_assert (new_state.m_region_model2);
+  gcc_assert (new_state.m_region_model);
 
-  purge_stats2 stats;
-  impl_region_model2_context ctxt (eg, this,
+  purge_stats stats;
+  impl_region_model_context ctxt (eg, this,
 				   &old_state, &new_state,
 				   get_stmt ());
-  const svalue2 *result = NULL;
-  new_state.m_region_model2->pop_frame (NULL, true, &stats, &result,
+  const svalue *result = NULL;
+  new_state.m_region_model->pop_frame (NULL, true, &stats, &result,
 					&ctxt);
-  program_state::detect_leaks2 (old_state, new_state, result,
+  program_state::detect_leaks (old_state, new_state, result,
 				eg.get_ext_state (), &ctxt);
 }
 
@@ -1461,7 +1460,7 @@ exploded_node::dump_succs_and_preds (FILE *outf) const
    state).  */
 
 void
-rewind_info_t::update_model2 (region_model2 *model,
+rewind_info_t::update_model (region_model *model,
 			      const exploded_edge &eedge)
 {
   const program_point &longjmp_point = eedge.m_src->get_point ();
@@ -1842,11 +1841,11 @@ worklist::key_t::cmp (const worklist::key_t &ka, const worklist::key_t &kb)
   /* Sort by sm-state, so that identical sm-states are grouped
      together in the worklist.
      For now, sort by the hash value (might not be deterministic).  */
-  for (unsigned sm_idx = 0; sm_idx < state_a.m_checker_states2.length ();
+  for (unsigned sm_idx = 0; sm_idx < state_a.m_checker_states.length ();
        ++sm_idx)
     {
-      sm_state_map2 *smap_a = state_a.m_checker_states2[sm_idx];
-      sm_state_map2 *smap_b = state_b.m_checker_states2[sm_idx];
+      sm_state_map *smap_a = state_a.m_checker_states[sm_idx];
+      sm_state_map *smap_b = state_b.m_checker_states[sm_idx];
 
       hashval_t hash_a = smap_a->hash ();
       hashval_t hash_b = smap_b->hash ();
@@ -1876,7 +1875,7 @@ exploded_graph::exploded_graph (const supergraph &sg, logger *logger,
   m_ext_state (ext_state),
   m_purge_map (purge_map),
   m_plan (plan),
-  m_diagnostic_manager (logger, ext_state.get_engine2 (), verbosity),
+  m_diagnostic_manager (logger, ext_state.get_engine (), verbosity),
   m_global_stats (m_sg.num_nodes ()),
   m_functionless_stats (m_sg.num_nodes ()),
   m_PK_AFTER_SUPERNODE_per_snode (m_sg.num_nodes ())
@@ -1993,7 +1992,7 @@ exploded_graph::get_or_create_node (const program_point &point,
       pp_string (pp, "pruned_state: ");
       pruned_state.dump_to_pp (m_ext_state, true, false, pp);
       logger->end_log_line ();
-      pruned_state.m_region_model2->dump_to_pp (logger->get_printer (), true,
+      pruned_state.m_region_model->dump_to_pp (logger->get_printer (), true,
 						false);
     }
 
@@ -2158,10 +2157,10 @@ exploded_graph::add_edge (exploded_node *src, exploded_node *dest,
 
 #if 0
   // TODO: detect leaks
-  if (dest->get_state ().m_region_model2)
+  if (dest->get_state ().m_region_model)
     {
       // FIXME:
-      program_state::detect_leaks2 (src->get_state (),
+      program_state::detect_leaks (src->get_state (),
 				    dest->get_state (),
 				    m_ext_state);
     }
@@ -2569,15 +2568,15 @@ exploded_graph::process_node (exploded_node *node)
 
 	if (point.get_from_edge ())
 	  {
-	    impl_region_model2_context ctxt2 (*this, node,
+	    impl_region_model_context ctxt (*this, node,
 					      &state, &next_state, NULL);
 	    const cfg_superedge *last_cfg_superedge
 	      = point.get_from_edge ()->dyn_cast_cfg_superedge ();
 	    if (last_cfg_superedge)
-	      next_state.m_region_model2->update_for_phis
+	      next_state.m_region_model->update_for_phis
 		(node->get_supernode (),
 		 last_cfg_superedge,
-		 &ctxt2);
+		 &ctxt);
 	  }
 
 	if (point.get_supernode ()->m_stmts.length () > 0)
@@ -2653,11 +2652,11 @@ exploded_graph::process_node (exploded_node *node)
 	    if (flags.m_terminate_path)
 	      return;
 
-	    if (next_state.m_region_model2)
+	    if (next_state.m_region_model)
 	      {
-		impl_region_model2_context ctxt (*this, node,
+		impl_region_model_context ctxt (*this, node,
 						 &old_state, &next_state, stmt);
-		program_state::detect_leaks2 (old_state, next_state, NULL,
+		program_state::detect_leaks (old_state, next_state, NULL,
 					      get_ext_state (), &ctxt);
 	      }
 
@@ -2897,7 +2896,7 @@ exploded_graph::log_stats () const
 
   LOG_SCOPE (logger);
 
-  m_ext_state.get_engine2 ()->log_stats (logger);
+  m_ext_state.get_engine ()->log_stats (logger);
 
   logger->log ("m_sg.num_nodes (): %i", m_sg.num_nodes ());
   logger->log ("m_nodes.length (): %i", m_nodes.length ());
@@ -3010,15 +3009,15 @@ exploded_path::get_final_enode () const
    feasibility_problem to *OUT.  */
 
 bool
-exploded_path::feasible2_p (logger *logger, feasibility_problem **out,
-			    engine2 *eng, const exploded_graph *eg) const
+exploded_path::feasible_p (logger *logger, feasibility_problem **out,
+			    engine *eng, const exploded_graph *eg) const
 {
   LOG_SCOPE (logger);
 
   auto_sbitmap snodes_visited (eg->get_supergraph ().m_nodes.length ());
 
   /* Traverse the path, updating this model.  */
-  region_model2 model (eng->get_model_manager ());
+  region_model model (eng->get_model_manager ());
   for (unsigned edge_idx = 0; edge_idx < m_edges.length (); edge_idx++)
     {
       const exploded_edge *eedge = m_edges[edge_idx];
@@ -3094,7 +3093,7 @@ exploded_path::feasible2_p (logger *logger, feasibility_problem **out,
 	    }
 	  else if (eedge->m_custom_info)
 	    {
-	      eedge->m_custom_info->update_model2 (&model, *eedge);
+	      eedge->m_custom_info->update_model (&model, *eedge);
 	    }
 	}
 
@@ -3116,13 +3115,13 @@ exploded_path::feasible2_p (logger *logger, feasibility_problem **out,
 				     NULL);
 	      /* If we've entering an snode that we've already visited on this
 		 epath, then we need do fix things up for loops; see the
-		 comment for store2::loop_replay_hack.
+		 comment for store::loop_replay_hack.
 		 Perhaps we should probably also verify the callstring,
 		 and track program_points,  but hopefully doing it by supernode
 		 is good enough.  */
 	      if (bitmap_bit_p (snodes_visited, dst_snode_idx))
 		model.loop_replay_hack
-		  (dst_enode.get_state ().m_region_model2);
+		  (dst_enode.get_state ().m_region_model);
 	    }
 	  bitmap_set_bit (snodes_visited, dst_snode_idx);
 	}
@@ -4167,7 +4166,7 @@ impl_run_checkers (logger *logger)
   FOR_EACH_FUNCTION_WITH_GIMPLE_BODY (node)
     node->get_untransformed_body ();
 
-  engine2 eng;
+  engine eng;
 
   /* Create the supergraph.  */
   supergraph sg (logger);
